### A free/open-source library for quantitative finance

Public Member Functions | Protected Attributes
LmConstWrapperVolatilityModel Class Reference

caplet const volatility model More...

`#include <ql/legacy/libormarketmodels/lmconstwrappervolmodel.hpp>`

Inheritance diagram for LmConstWrapperVolatilityModel:
[legend]

List of all members.

## Public Member Functions

| LmConstWrapperVolatilityModel (const boost::shared_ptr< LmVolatilityModel > &volaModel)
Disposable< Array > | volatility (Time t, const Array &x=Null< Array >()) const
Volatility | volatility (Size i, Time t, const Array &x=Null< Array >())
Real | integratedVariance (Size i, Size j, Time u, const Array &x=Null< Array >()) const

## Protected Attributes

const boost::shared_ptr < LmVolatilityModel > | volaModel_

## Detailed Description

caplet const volatility model